> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Single Bank Disbursement

> Use this endpoint to perform payouts for currencies - NGN, GHS mobile money and bank accounts transfer using the bank code from our Get All Banks endpoint



## OpenAPI

````yaml openapi.json POST /transfers
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /transfers:
    post:
      description: >-
        You can use this endpoint to perform bank account transfer from your
        main account
      operationId: CreateSingleDisbursement
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                reference:
                  type: string
                  format: uuid
                amount:
                  type: integer
                  format: float
                currency:
                  type: string
                destination:
                  type: object
                  properties:
                    accountNumber:
                      type: string
                    accountName:
                      type: string
                    bankCode:
                      type: string
                  branchCode:
                    type: string
                narration:
                  type: string
              required:
                - reference
                - destination
                - amount
                - currency
      responses:
        '201':
          description: A JSON array of create single disbursement objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferDetailsResponse'
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
components:
  schemas:
    TransferDetailsResponse:
      type: object
      properties:
        reference:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        spotflowreference:
          type: string
          format: uuid
          example: c1fba25a-a36b-479c-b17d-64dbaf3ba32c
        amount:
          type: number
          format: int32
          example: 0
        currency:
          type: string
          example: NGN
        transferMode:
          type: string
          example: '7706438396'
        destination:
          type: object
          properties:
            accountNumber:
              type: string
              example: '7706438396'
            accountName:
              type: string
              example: Quantum Technologies
            bankCode:
              type: string
              example: NGN100
            branchCode:
              type: string
              example: NGN100
            bankName:
              type: string
              example: Testbank MFB
        narrations:
          type: string
          example: string
        status:
          type: string
          example: string
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    Error401:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: invalid_credentials
        status:
          type: integer
          format: float
          example: 401
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````